/*

Copyright (C) 2000 - 2010 Christian Kreibich <christian@whoop.org>.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to
deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
sell copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies of the Software and its documentation and acknowledgment shall be
given in the documentation and software packages that this Software was
used.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/
#ifndef __nd_filter_registry_h
#define __nd_filter_registry_h

#include <nd.h>


/**
 * nd_filter_registry_add - GUI wrapper for libnd_filter_registry_add().
 * @filter: the added filter.
 *
 * This is a wrapper function for libnd_filter_registry_add() that
 * updates the filter dialog accordingly. Use this function instead
 * of the libnetdude one.
 */
void       nd_filter_registry_add(LND_Filter *filter);


/**
 * libnd_filter_registry_remove - GUI wrapper for libnd_filter_registry_remove().
 * @filter: filter to remove.
 *
 * This is a wrapper function for libnd_filter_registry_remove() that
 * updates the filter dialog accordingly. Use this function instead
 * of the libnetdude one.
 */
void       nd_filter_registry_remove(LND_Filter *filter);


#endif
